[Funkwhale] A modern, convivial and free music server

I’m not a developper, it’s not my repository, I’m just a user :innocent:

I could ask on forum.funkwhale.audio for you !

Edit : I asked it here.

Plop !

J’aimerais installer Funkwhale pour remplacer airsonic qui n’est plus maintenu et navidrome qui ne me convient pas (pas de podcast).

Problème, lors de l’install en ssh, j’obtiens ça (j’ai volontairement caviardé mon nom de domaine):

Choose the domain where this app should be installed [server.noho.st]: funkwhale.server.noho.st
Error: Pick a valid value for argument 'domain': 'funkwhale.server.noho.st' is not among the available choices (server.noho.st)

Évidemment, si je met juste le classique server.noho.st, l’installateur m’envoie bouler en me disant qu’il faut un sous-domaine :


Error: Sorry, this app must be installed on a domain of its own, but other apps are already installed on the domain 'server.noho.st'. You could use a subdomain dedicated to this app instead.

C’est que tu n’as pas encore configuré ton sous-domaine.
Il me semble qu’en ssh tu doives faire quelque chose comme sudo yunohost domain add funkwhale.server.noho.st pour le paramétrer. J’ai plus l’habitude de le faire via la webadmin, et là tu dois renseigner ton sous-domaine dans Domaines > Ajouter un domaine > J’ai déjà un nom de domaine.

Ensuite tu dois installer le certificat sur ce sous-domaine, et après tu peux installer Funkwhale.

1 Like

Ça marche impeccable :+1:

Je butte sur une dernière chose : l’import d’un podcast.

Exemple : Les origines par David Castello-Lopes - Replay - Europe 1

Si je tente de coller le .xml dans “S’abonner au fil RSS”, j’obtiens le message suivant :

Erreur lors de la récupération de l'objet

    Cet objet n'a pu être récupéré 

Je viens de tester, ça fonctionne sans problème pour moi.
Tu as bien mis ce lien https://www.europe1.fr/rss/podcasts/les-origines.xml dans Chaînes > Ajouter > RSS ?

1 Like

Idiot que je suis, j’essayais de le mettre dans /library/podcasts (Explorer > Podcasts > S’abonner au fil RSS)

Du coup ça marche, merci :slight_smile:

1 Like

Plop

J’ai MaJ funkwhale il y a quelques heures ( 1.2.3~ynh1 → 1.2.4~ynh1 ), et funkwhale n’arrive plus à télécharger les épisodes : hastebin

Pas de problème en revenant en 1.2.3

ça sent le bug suite à une mise à jour d’une librairie python, ça arrive malheureusement un peu trop souvent :confused:

Plop !

Upgrade depuis la 1.2.9~yhn1 vers la 1.2.10~yhn1 en erreur :


Warning: sha256sum: /var/cache/yunohost/download/funkwhale/api: No such file or directory
Warning: du: cannot access '/var/cache/yunohost/download/funkwhale/api': No such file or directory
Warning: Corrupt source for /var/cache/yunohost/download/funkwhale/api: Expected 2544fa01bc64c7481dbd03faaa777ff6d2006e6a36cb79c694e13f6e2761f025 but got  (size: ).
Warning: [Error] Upgrade failed.

Le log est particulièrement long mais imho tout vient du fichier api :

2023-03-24 09:24:01,126: DEBUG - ++ wget --tries 3 --no-dns-cache --timeout 900 --no-verbose --output-document=/var/cache/yunohost/download/funkwhale/api 'https://dev.funkwhale.audio/funkwhale/funkwhale/-/jobs/artifacts/1.2.10/download?job=build_api'
2023-03-24 09:24:01,829: DEBUG - + out='2023-03-24 09:24:01 URL:https://dev.funkwhale.audio/funkwhale/funkwhale/-/jobs/158127/artifacts/download [2824481/2824481] -> "/var/cache/yunohost/download/funkwhale/api" [1]'
2023-03-24 09:24:01,830: DEBUG - + sha256sum --check --status
2023-03-24 09:24:01,871: DEBUG - + rm /var/cache/yunohost/download/funkwhale/api
2023-03-24 09:24:01,873: DEBUG - ++ sha256sum /var/cache/yunohost/download/funkwhale/api

On va chercher le fichier sur le site de funkwhale, on fait un checksum dessus, on le supprimme puis on retente un checksum dessus (qui forcément va planter) ?

Merci d’avoir prévenu ! Il a dû y avoir un changement dans cette version parce que les sha256sum n’étaient plus exacts.

J’ai adapté les bons, tu peux retenter la mise à jour :grinning:

Ca plante toujours => https://paste.yunohost.org/raw/rohuhozubu

2023-03-25 09:23:07,704: DEBUG - ++ wget --tries 3 --no-dns-cache --timeout 900 --no-verbose --output-document=/var/cache/yunohost/download/funkwhale/api 'https://dev.funkwhale.audio/funkwhale/funkwhale/-/jobs/artifacts/1.2.10/download?job=build_api'
2023-03-25 09:23:08,350: DEBUG - + out='2023-03-25 09:23:08 URL:https://dev.funkwhale.audio/funkwhale/funkwhale/-/jobs/158127/artifacts/download [2824481/2824481] -> "/var/cache/yunohost/download/funkwhale/api" [1]'
2023-03-25 09:23:08,350: DEBUG - + sha256sum --check --status
2023-03-25 09:23:08,391: DEBUG - + rm /var/cache/yunohost/download/funkwhale/api
2023-03-25 09:23:08,394: DEBUG - ++ sha256sum /var/cache/yunohost/download/funkwhale/api
2023-03-25 09:23:08,394: DEBUG - ++ cut '--delimiter= ' --fields=1
2023-03-25 09:23:08,399: WARNING - sha256sum: /var/cache/yunohost/download/funkwhale/api: No such file or directory
2023-03-25 09:23:08,399: DEBUG - ++ du -hs /var/cache/yunohost/download/funkwhale/api
2023-03-25 09:23:08,400: DEBUG - ++ cut '--delimiter= ' --fields=1
2023-03-25 09:23:08,434: WARNING - du: cannot access '/var/cache/yunohost/download/funkwhale/api': No such file or directory
2023-03-25 09:23:08,435: DEBUG - + ynh_die '--message=Corrupt source for /var/cache/yunohost/download/funkwhale/api: Expected 2544fa01bc64c7481dbd03faaa777ff6d2006e6a36cb79c694e13f6e2761f025 but got  (size: ).'
2023-03-25 09:23:08,449: DEBUG - + ynh_exit_properly
2023-03-25 09:23:08,450: WARNING - Corrupt source for /var/cache/yunohost/download/funkwhale/api: Expected 2544fa01bc64c7481dbd03faaa777ff6d2006e6a36cb79c694e13f6e2761f025 but got  (size: ).
2023-03-25 09:23:08,966: DEBUG - + ynh_clean_setup

Note : ça tente toujours d’installer la 1.2.10~ynh1 :


# yunohost tools update
Info: Fetching available upgrades for system packages...
Info: Updating application catalog...
Success! The application catalog has been updated!
apps:
  current_version: 1.2.9~ynh1
  description: Modern, convivial and free music server
  domain_path: funkwhale.chaton.noho.st/
  id: funkwhale
  logo: 2f8bb76e13974d50a77c6bbd95f4b963e4c9c0ee63cc4ad4fd01e0f17dd84cc3
  name: Funkwhale
  new_version: 1.2.10~ynh1
  notifications:
  upgradable: yes
  version: 1.2.9~ynh1
important_yunohost_upgrade: False
pending_migrations:
system:

C’est le but, puisque tu n’es encore qu’en version 1.2.9.
Je viens de modifier les checksums à nouveau (je ne comprends pas du tout pourquoi ils changent pour l’instant, si ça le refait j’en parlerai upstream.

N’hésite du coup pas à réessayer, selon le CI de Yunohost ça devrait fonctionner :slight_smile:

Corrupt source :confused:

J’ai fait un yunohost tools update suivi d’un yunohost tools upgrade apps (il n’y avait que funkwhale à upgrader)

https://paste.yunohost.org/raw/ixexewuket

2023-03-27 20:17:08,426: DEBUG - ++ wget --tries 3 --no-dns-cache --timeout 900 --no-verbose --output-document=/var/cache/yunohost/download/funkwhale/api 'https://dev.funkwhale.audio/funkwhale/funkwhale/-/jobs/artifacts/1.2.10/download?job=build_api'
2023-03-27 20:17:09,170: DEBUG - + out='2023-03-27 20:17:09 URL:https://dev.funkwhale.audio/funkwhale/funkwhale/-/jobs/158926/artifacts/download [2824481/2824481] -> "/var/cache/yunohost/download/funkwhale/api" [1]'
2023-03-27 20:17:09,170: DEBUG - + sha256sum --check --status
2023-03-27 20:17:09,210: DEBUG - + rm /var/cache/yunohost/download/funkwhale/api
2023-03-27 20:17:09,213: DEBUG - ++ sha256sum /var/cache/yunohost/download/funkwhale/api
2023-03-27 20:17:09,213: DEBUG - ++ cut '--delimiter= ' --fields=1
2023-03-27 20:17:09,218: WARNING - sha256sum: /var/cache/yunohost/download/funkwhale/api: No such file or directory
2023-03-27 20:17:09,219: DEBUG - ++ du -hs /var/cache/yunohost/download/funkwhale/api
2023-03-27 20:17:09,219: DEBUG - ++ cut '--delimiter= ' --fields=1
2023-03-27 20:17:09,260: WARNING - du: cannot access '/var/cache/yunohost/download/funkwhale/api': No such file or directory
2023-03-27 20:17:09,261: DEBUG - + ynh_die '--message=Corrupt source for /var/cache/yunohost/download/funkwhale/api: Expected 4a0c0cdd8afc72b3fa9be7019392b3c27d819cf240509234b355231e1c59a11d but got  (size: ).'
2023-03-27 20:17:09,275: DEBUG - + ynh_exit_properly
2023-03-27 20:17:09,275: WARNING - Corrupt source for /var/cache/yunohost/download/funkwhale/api: Expected 4a0c0cdd8afc72b3fa9be7019392b3c27d819cf240509234b355231e1c59a11d but got  (size: ).
2023-03-27 20:17:09,777: DEBUG - + ynh_clean_setup
2023-03-27 20:17:09,777: DEBUG - + ynh_restore_upgradebackup

C’est l’ancien shasum qui n’était plus correct, il a du rester une sorte de cache ou quoi dans ton système qui fait qu’il aurait repris l’ancienne version du package?
Réessaie d’ici quelques minutes, sinon je lance met à jour la version vesr ~ynh2 pour être certain que ça soit pris en compte.

Toujours pas bon :confused:

Warning: sha256sum: /var/cache/yunohost/download/funkwhale/api: No such file or directory
Warning: du: cannot access '/var/cache/yunohost/download/funkwhale/api': No such file or directory
Warning: Corrupt source for /var/cache/yunohost/download/funkwhale/api: Expected 4a0c0cdd8afc72b3fa9be7019392b3c27d819cf240509234b355231e1c59a11d but got  (size: ).

Okay merci pour ton retour et désolé pour tout ça ^^

J’ai changé le ~ynh1 en ~ynh2 donc ça devrait aider. Si non, dans un bref délai, il y aura le package en version 2 dispo, ça pourrait aider aussi.

Info: [####################] > Upgrade of funkwhale completed
Success! funkwhale upgraded
Success! Upgrade complete

Merci pour ton support super réactif :+1:

(je suis en 1.2.10~ynh2)

1 Like

@Tho : Il semble qu’une personne ait rencontré le même problème que moi en tentant une installation par la webmin, cette dernière allant chercher la version 1.2.10~ynh2 au lieu de la 1.2.10~ynh3 .

Il a pu installer l’appli via CLI.

Problème au niveau du catalogue en passant par l’interface web ?

Vraisemblablement un problème de cache, tant mieux si c’est réglé ! :slight_smile:
Belle fête de Pâques !

New version 1.3.0 available!
A lot of work has been done upstream for this release, check the changelog here.

Hope you’ll enjoy it! :tada:

1 Like